/*
CIFFOLD 0.5.4 Pre-Release
by Kostadin Mitev, Georgi Todorov and Herbert J. Bernstein

Copyright (C) Kostadin Mitev 2005

Work funded in part by the International Union of Crystallography under
a grant to Dowling College.

This software is covered by the GNU General Public License 
<see COPYING>.

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 */


#ifndef FUCIF_H
#define FUCIF_H
#include<vector>
using namespace std;

int folding(char, char, char *, int &, int &);
void  reader ();
int insertBlanks(int, int);
int insertMapBlanks(int &, int);
bool convertToInt(int &);
int rmfblanks(char *, int);
int rmtblanks(char *);
int rmttblanks(char *);
void  outputTextField(char *, int &, int &);
int insertVersion(int, char *, int &, int &); 
int foldline(char *, int &, int &);
int unfoldline(char *, int &, int &);
int unfoldTextField(char *, int &, int &);
void unfoldComment(char *, int &, int &);
int formatLoop(char *, int &, int &, bool &);
int outputToken(char *, int &, int);
int findTokLen(char *, int, int);
bool formatLine();
void outputFoldedComment(char *, int &, int &);
void checkNewLineMAP(int &left);
#endif

