/*
CIFFOLD 0.5.3 Pre-Release
by Kostadin Mitev, Georgi Todorov and Herbert J. Bernstein

Copyright (C) Kostadin Mitev 2005

Work funded in part by the International Union of Crystallography under
a grant to Dowling College.

This software is covered by the GNU General Public License 
<see COPYING>.

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 */

#ifndef GLOBALS_H 
#define GLOBALS_H
#include "ReadFile.h"
#include <vector>

#ifndef LMAXLEN
#define LMAXLEN 2048
#endif

#ifndef BUFSIZE
#define BUFSIZE 1000000
#endif

#ifdef GLOBALS
int OPTIONS[15];
FILE * INF, *OUTF;
ReadFile R;
vector <long> FileChunks;
int MAXLENGTH;
#else
extern int OPTIONS[15];
extern FILE *INF, *OUTF;
extern ReadFile R;
extern vector <long> FileChunks;
extern int MAXLENGTH;

#endif
#endif

